ALTER TABLE CONTRACT_EXTENSION_RULE
ADD DISCOUNT_1 NUMBER;

ALTER TABLE CONTRACT_EXTENSION_RULE
ADD DISCOUNT_PURPOSE_1 NUMBER;

DROP VIEW V_DELAVCI;

CREATE OR REPLACE VIEW V_DELAVCI AS (
	SELECT D.ID_DELAVCI, D.ID_STORITVE, D.SIFRA, D.DATUM, D.STEVILO_UR, D.HOURS_PLANNED, D.KOMENTAR, D.HOUR_FROM_PLANNED, D.ID_TIPSERVIS,
  D.STATUS_PLAN, D.STATUS_ACTUAL, D.DATE_APPROVED_PLAN, D.USER_APPROVED_PLAN, D.DATE_APPROVED_ACTUAL, D.USER_APPROVED_ACTUAL,
  TSP.DESCRIPTION AS STATUS_PLAN_DESCRIPTION, TSP.COLOR_PLAN AS STATUS_PLAN_COLOR, TSP.TEXT_COLOR_PLAN AS STATUS_PLAN_TEXT_COLOR, 
  TSA.DESCRIPTION AS STATUS_ACTUAL_DESCRIPTION, TSA.COLOR_ACTUAL AS STATUS_ACTUAL_COLOR, TSA.TEXT_COLOR_ACTUAL AS STATUS_ACTUAL_TEXT_COLOR, MS.ID_DN, MS.USER_COMMENT AS SERVICE_USER_COMMENT, 
  MNS.OPIS AS NNSTOMAR_OPIS, MD.STEVILKA AS M_DE_NA_STEVILKA,
  AST.NAME AS WORK_ORDER_ASSET_NAME, PL.IME AS WORK_ORDER_BOAT_NAME,
  ND.NUSER AS NNDELAVC_NUSER, ND.MANAGER AS NNDELAVC_MANAGER, ND.OPIS AS NNDELAVC_OPIS, ND.INTERNI_OPIS AS NNDELAVC_INTERNI_OPIS, ND.PRICE AS NNDELAVC_PRICE, ND.TYPE AS NNDELAVC_TYPE, 
  ND.NNLOCATION_ID AS NNDELAVC_NNLOCATION_ID, ND.ID AS NNDELAVC_ID, ND.SELL_PRICE AS NNDELAVC_SELL_PRICE,
  KD.ID AS NNDELAVC_KUPCI_ID, KD.IME AS NNDELAVC_KUPCI_IME, KD.PRIIMEK AS NNDELAVC_KUPCI_PRIIMEK, KD.MANAGER AS NNDELAVC_KUPCI_MANAGER,
  TS.OPIS AS TIPSERVIS_OPIS, TS.INTERNAL AS TIPSERVIS_INTERNAL, MT.ID_MAINTENANCE_TASK AS MAINTENANCE_TASK_ID, MT.ID_CHECKLIST AS MAINTENANCE_TASK_ID_CHECKLIST, CH.NAME AS MAIN_TASK_CHECKLIST_NAME, 
  TO_DATE(TO_CHAR(D.DATUM,'YYYYMMDD') || (CASE WHEN D.HOUR_FROM_PLANNED IS NULL THEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE NAZIV = 'WorkerTimesheetTimeFrom') ELSE D.HOUR_FROM_PLANNED END), 'YYYYMMDDHH24:MI') AS DATE_FROM_PLANNED,
  TO_DATE(TO_CHAR(D.DATUM,'YYYYMMDD') || (CASE WHEN D.HOUR_FROM_PLANNED IS NULL THEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE NAZIV = 'WorkerTimesheetTimeFrom') ELSE D.HOUR_FROM_PLANNED END), 'YYYYMMDDHH24:MI') + D.HOURS_PLANNED/24 AS DATE_TO_PLANNED,
  TO_DATE(TO_CHAR(D.DATUM,'YYYYMMDD') || (CASE WHEN D.HOUR_FROM_PLANNED IS NULL THEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE NAZIV = 'WorkerTimesheetTimeFrom') ELSE D.HOUR_FROM_PLANNED END), 'YYYYMMDDHH24:MI') AS DATE_FROM_ACTUAL,
  TO_DATE(TO_CHAR(D.DATUM,'YYYYMMDD') || (CASE WHEN D.HOUR_FROM_PLANNED IS NULL THEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE NAZIV = 'WorkerTimesheetTimeFrom') ELSE D.HOUR_FROM_PLANNED END), 'YYYYMMDDHH24:MI') + D.STEVILO_UR/24 AS DATE_TO_ACTUAL
  FROM DELAVCI D
  LEFT OUTER JOIN M_STORITVE MS ON MS.ID_STORITVE = D.ID_STORITVE
  LEFT OUTER JOIN M_NNSTOMAR MNS ON MNS.SIFRA = MS.STORITEV
  LEFT OUTER JOIN M_DE_NA MD ON MD.ID_DN = MS.ID_DN
  LEFT OUTER JOIN ASSET AST ON AST.ID_ASSET = MD.ID_ASSET 
  LEFT OUTER JOIN PLOVILA PL ON PL.ID = MD.ID_PLOVILA
  LEFT OUTER JOIN NNDELAVC ND ON ND.SIFRA = D.SIFRA
  LEFT OUTER JOIN KUPCI KD ON KD.ID = ND.ID_LASTNIKA
  LEFT OUTER JOIN TIPSERVIS TS ON TS.SIFRA = D.ID_TIPSERVIS
  LEFT OUTER JOIN MAINTENANCE_TASK MT ON MT.ID_STORITVE = D.ID_STORITVE
  LEFT OUTER JOIN CHECKLIST CH ON CH.ID_CHECKLIST = MT.ID_CHECKLIST
  LEFT OUTER JOIN WORKER_TASK_STATUS TSP ON TSP.ID_WORKER_TASK_STATUS = D.STATUS_PLAN
  LEFT OUTER JOIN WORKER_TASK_STATUS TSA ON TSA.ID_WORKER_TASK_STATUS = D.STATUS_ACTUAL
);

DROP VIEW V_POGODBE;

CREATE OR REPLACE VIEW V_POGODBE AS (
	SELECT P.ID_POGODBE AS V_POGODBE_ID, P.ID_POGODBE, P.ID_LASTNIKA, P.ID_PLOVILA, P.ID_MASTER, P.OBJEKT, P.N_PRIVEZA, P.N_POGODBE, P.DATUM_ZACETKA, P.DATUM_KONCA, P.PREDVIDENI_DATUM_KONCA, P.DATUM_KREIRANJA, P.USER_KREIRANJA,
  P.DATUM_SPREMEMBE, P.USER_SPREMEMBE, P.STATUS, P.DATUM_SKLENITVE, P.DATUM_PREKINITVE, P.KOMENTAR, P.TIP_POGODBE, P.EXTENSION_SEQUENCE_NUMBER, P.EXTENSION_DATE, P.ID_PRIVEZ, P.BLOCK_OUT, P.APPROVED_BY, P.APPROVED_ON, P.ID_OWNER_SIGNATURE,
  (CASE WHEN P.BLOCK_OUT = 'Y' AND P.DATUM_ZACETKA IS NOT NULL AND P.DATUM_KONCA IS NOT NULL THEN P.DATUM_KONCA + 1 ELSE NULL END) AS BLOCK_OUT_FROM,
  (CASE WHEN P.BLOCK_OUT = 'Y' AND P.DATUM_ZACETKA IS NOT NULL AND P.DATUM_KONCA IS NOT NULL THEN P.DATUM_KONCA + (P.DATUM_KONCA - P.DATUM_ZACETKA) + 1 ELSE NULL END) AS BLOCK_OUT_TO,
  NNSTAT.OPIS AS STATUS_OPIS, NNSTAT.INTERNI_OPIS AS STATUS_INTERNI_OPIS,
  PLOV.IME AS PLOVILA_IME, PLOV.DOLZINA AS PLOVILA_DOLZINA, PLOV.PODALJSA AS PLOVILA_PODALJSA, 
  KUP.IME AS KUPCI_IME, KUP.PRIIMEK AS KUPCI_PRIIMEK, KUP.INT_CODE AS KUPCI_INT_CODE, KUP.VRSTA AS KUPCI_VRSTA, KUP.KODA_JEZIKA AS KUPCI_KODA_JEZIKA, KUP.LOYALTY AS KUPCI_LOYALTY, KUP.LOYALTY_CODE AS KUPCI_LOYALTY_CODE,
  (CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE FILTER = 'MARINA' AND SEKCIJA = 'MARINA' AND NAZIV = 'ChangeFirstLastName') = '1' THEN (KUP.IME || ' ' || KUP.PRIIMEK) ELSE (KUP.PRIIMEK || ' ' || KUP.IME) END) AS OWNER,
  NP.ID_PRIVEZ AS NNPRIVEZ_ID_PRIVEZ, NP.KATEGORIJA AS NNPRIVEZ_KATEGORIJA, NP.OBJEKT AS NNPRIVEZ_OBJEKT, NP.N_PRIVEZA AS NNPRIVEZ_PRIVEZ, NP.DOLZINA AS NNPRIVEZ_DOLZINA, 
  NO.OPIS AS NNOBJEKT_OPIS, NO.INTERNI_OPIS AS NNOBJEKT_INTERNI_OPIS, NO.STORAGE AS NNOBJEKT_STORAGE, NNLOC.ID AS NNLOCATION_ID,
  (SELECT SUM((MV.SKUPAJ + (MV.SKUPAJ*COALESCE(MV.DAVEK,0)/100))*(1 - (COALESCE(MV.POPUST, 0)/100))*(1 - (COALESCE(MV.POPUST1, 0)/100))*(1 - (COALESCE(MV.POPUST2, 0)/100))) FROM M_VZORCI_PS MV WHERE MV.ID_POGODBE = P.ID_POGODBE AND MV.STORNO IS NULL) AS PRICE, 
  (SELECT SUM(COALESCE(MV.SKUPAJ,0)*(1 - (COALESCE(MV.POPUST, 0)/100))*(1 - (COALESCE(MV.POPUST1, 0)/100))*(1 - (COALESCE(MV.POPUST2, 0)/100))) FROM M_VZORCI_PS MV WHERE MV.ID_POGODBE = P.ID_POGODBE AND MV.STORNO IS NULL) AS NETO_PRICE, 
  (SELECT SUM((MV.SKUPAJ + (MV.SKUPAJ*COALESCE(MV.DAVEK,0)/100))*(1 - (COALESCE(MV.POPUST, 0)/100))*(1 - (COALESCE(MV.POPUST1, 0)/100))*(1 - (COALESCE(MV.POPUST2, 0)/100))) FROM M_VZORCI_PS MV WHERE MV.ID_POGODBE = P.ID_POGODBE_GEN AND MV.STORNO IS NULL) AS PREVIOUS_PRICE, 
  (SELECT SUM(COALESCE(MV.SKUPAJ,0)*(1 - (COALESCE(MV.POPUST, 0)/100))*(1 - (COALESCE(MV.POPUST1, 0)/100))*(1 - (COALESCE(MV.POPUST2, 0)/100))) FROM M_VZORCI_PS MV WHERE MV.ID_POGODBE = P.ID_POGODBE_GEN AND MV.STORNO IS NULL) AS NETO_PREVIOUS_PRICE, 
	(CASE WHEN ((SELECT COUNT(*) FROM M_VZORCI_PS WHERE ID_POGODBE = P.ID_POGODBE AND STORNO IS NULL) > 0 AND (SELECT COUNT(*) FROM M_VZORCI_PS WHERE ID_POGODBE = P.ID_POGODBE AND STORNO IS NULL AND ACTIVE = 'Y') = 0) THEN 'Y' ELSE 'N' END) AS FULLY_CHARGED,
(SELECT SUM((MV.SKUPAJ + (MV.SKUPAJ*COALESCE(MV.DAVEK,0)/100))*(1 - (COALESCE(MV.POPUST, 0)/100))*(1 - (COALESCE(MV.POPUST1, 0)/100))*(1 - (COALESCE(MV.POPUST2, 0)/100))) FROM M_VZORCI_PS MV WHERE MV.ID_POGODBE = P.ID_POGODBE AND MV.ACTIVE='Y' AND MV.STORNO IS NULL) AS PRICE_ACTIVE, 
  (SELECT SUM(COALESCE(MV.SKUPAJ,0)*(1 - (COALESCE(MV.POPUST, 0)/100))*(1 - (COALESCE(MV.POPUST1, 0)/100))*(1 - (COALESCE(MV.POPUST2, 0)/100))) FROM M_VZORCI_PS MV WHERE MV.ID_POGODBE = P.ID_POGODBE AND MV.ACTIVE='Y' AND MV.STORNO IS NULL) AS NETO_PRICE_ACTIVE
  FROM M_POGODBE P
	LEFT OUTER JOIN NNSTATPOG NNSTAT ON P.STATUS = NNSTAT.SIFRA
  LEFT OUTER JOIN PLOVILA PLOV ON PLOV.ID = P.ID_PLOVILA
  LEFT OUTER JOIN KUPCI KUP ON KUP.ID = P.ID_LASTNIKA
  LEFT OUTER JOIN NNPRIVEZ NP ON NP.ID_PRIVEZ = P.ID_PRIVEZ
  LEFT OUTER JOIN NNOBJEKT NO ON NO.SIFRA = NP.OBJEKT 
  LEFT OUTER JOIN NNPOMOL NPOM ON NPOM.SIFRA = NP.KATEGORIJA
  LEFT OUTER JOIN NNLOCATION NNLOC ON NNLOC.ID = NPOM.NNLOCATION_ID
)
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1881, SYSDATE, '5.5', 1801, 'Contract ext rule')
;
