CREATE TABLE NNTEMPLATE (
	SIFRA VARCHAR2(3 CHAR) NOT NULL,
	OPIS VARCHAR2(100 CHAR),
	INTERNI_OPIS VARCHAR2(100 CHAR),
	AKT VARCHAR2 (1 CHAR),
	CONSTRAINT NNTEMPLATE_PK PRIMARY KEY (SIFRA)
);

INSERT INTO NNTEMPLATE(SIFRA, OPIS, INTERNI_OPIS, AKT)
VALUES ('EML', 'Email', 'Email', 'Y');

INSERT INTO NNTEMPLATE(SIFRA, OPIS, INTERNI_OPIS, AKT)
VALUES ('EMS', 'Email subject', 'Email subject', 'Y');

INSERT INTO NNTEMPLATE(SIFRA, OPIS, INTERNI_OPIS, AKT)
VALUES ('EMC', 'Email content', 'Email content', 'Y');

INSERT INTO NNTEMPLATE(SIFRA, OPIS, INTERNI_OPIS, AKT)
VALUES ('EMA', 'Email attachment', 'Email attachment', 'Y');

CREATE TABLE QUERY (
	ID_QUERY NUMBER NOT NULL,
	NAME VARCHAR2(100 CHAR),
	SQL VARCHAR2(1000 CHAR),
	DATE_CREATED DATE,
	USER_CREATED VARCHAR2(30 CHAR),
	DATE_CHANGED DATE,
	USER_CHANGED VARCHAR2(30 CHAR),
	ACT VARCHAR2(1 CHAR),
	CONSTRAINT QUERY_PK PRIMARY KEY (ID_QUERY)
);

CREATE SEQUENCE QUERY_SEQ MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

CREATE TABLE TEMPLATE (
	ID_TEMPLATE NUMBER NOT NULL,
	NAME VARCHAR2(100 CHAR),
	CONTENT VARCHAR2(3000 CHAR),
	TYPE VARCHAR2(3 CHAR) NOT NULL,
	DATE_CREATED DATE,
	USER_CREATED VARCHAR2(30 CHAR),
	DATE_CHANGED DATE,
	USER_CHANGED VARCHAR2(30 CHAR),
	ACT VARCHAR2(1 CHAR),
	CONSTRAINT TEMPLATE_PK PRIMARY KEY (ID_TEMPLATE)
);

CREATE SEQUENCE TEMPLATE_SEQ MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

CREATE TABLE TEMPLATE_TAG (
	ID_TEMPLATE_TAG NUMBER NOT NULL,
	ID_TEMPLATE NUMBER NOT NULL,
	NAME VARCHAR2(100 CHAR) NOT NULL,
	ID_QUERY NUMBER NOT NULL,
	DATE_CREATED DATE,
	USER_CREATED VARCHAR2(30 CHAR),
	DATE_CHANGED DATE,
	USER_CHANGED VARCHAR2(30 CHAR),
	ACT VARCHAR2(1 CHAR),
	CONSTRAINT ID_TEMPLATE_FK FOREIGN KEY (ID_TEMPLATE) REFERENCES TEMPLATE(ID_TEMPLATE),
	CONSTRAINT ID_QUERY_FK FOREIGN KEY (ID_QUERY) REFERENCES QUERY(ID_QUERY),
	CONSTRAINT TEMPLATE_TAG_PK PRIMARY KEY (ID_TEMPLATE_TAG)
);

CREATE SEQUENCE TEMPLATE_TAG_SEQ MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

CREATE TABLE TEMPLATE_RELATIONSHIP (
	ID_TEMPLATE_RELATIONSHIP NUMBER NOT NULL,
	ID_TEMPLATE_PARENT NUMBER NOT NULL,
	ID_TEMPLATE_CHILD NUMBER NOT NULL,
	CONSTRAINT ID_TEMPLATE_PARENT_FK FOREIGN KEY (ID_TEMPLATE_PARENT) REFERENCES TEMPLATE(ID_TEMPLATE),
	CONSTRAINT ID_TEMPLATE_CHILD_FK FOREIGN KEY (ID_TEMPLATE_CHILD) REFERENCES TEMPLATE(ID_TEMPLATE),
	CONSTRAINT TEMPLATE_RELATIONSHIP_PK PRIMARY KEY (ID_TEMPLATE_RELATIONSHIP)
);

CREATE SEQUENCE TEMPLATE_RELATIONSHIP_SEQ MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;


insert into verzije_baza (id, dt_vpis, verzija, ver_nr, opis) 
values 
(471, SYSDATE, '5.5', 391, 'Poizvedbe in predloge');