CREATE TABLE BERTH_OWNER (
	ID NUMBER NOT NULL,
	ID_PRIVEZ NUMBER,
	ID_LASTNIKA NUMBER NOT NULL,
	DATE_FROM DATE,
	DATE_TO DATE,
	DATE_CREATED DATE,
	USER_CREATED VARCHAR2(30 CHAR),
	DATE_CHANGED DATE,
	USER_CHANGED VARCHAR2(30 CHAR),
    STATUS NUMBER,
    "COMMENT" VARCHAR2(250 CHAR),
	CONSTRAINT BERTH_OWNER_ID_PRIVEZ_FK FOREIGN KEY (ID_PRIVEZ) REFERENCES NNPRIVEZ(ID_PRIVEZ),
	CONSTRAINT BERTH_OWNER_ID_LASTNIKA_FK FOREIGN KEY (ID_LASTNIKA) REFERENCES KUPCI(ID),
	CONSTRAINT BERTH_OWNER_PK PRIMARY KEY (ID)
);

CREATE SEQUENCE BERTH_OWNER_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

CREATE OR REPLACE VIEW V_BERTH_OWNER AS (
SELECT BO.ID, BO.ID_PRIVEZ, BO.ID_LASTNIKA, BO.DATE_FROM, BO.DATE_TO, BO.DATE_CREATED, BO.USER_CREATED, BO.DATE_CHANGED, BO.USER_CHANGED, BO.STATUS, BO."COMMENT",
NP.OBJEKT AS NNPRIVEZ_OBJEKT, NP.N_PRIVEZA AS NNPRIVEZ_N_PRIVEZA, K.IME AS KUPCI_IME, K.PRIIMEK AS KUPCI_PRIIMEK
FROM BERTH_OWNER BO
LEFT OUTER JOIN NNPRIVEZ NP ON NP.ID_PRIVEZ = BO.ID_PRIVEZ
LEFT OUTER JOIN KUPCI K ON K.ID = BO.ID_LASTNIKA
);

-- Odstranitev BERTH_OWNER stolpca
CREATE OR REPLACE VIEW V_BERTH_SUBLEASE AS (
SELECT BS.ID, BS.ID_PRIVEZ, BS.ID_LASTNIKA, BS.ID_CARDS, BS.DATE_FROM, BS.DATE_TO, BS.DATE_CREATED, BS.USER_CREATED, BS.DATE_CHANGED, BS.USER_CHANGED,
NP.OBJEKT AS NNPRIVEZ_OBJEKT, NP.N_PRIVEZA AS NNPRIVEZ_N_PRIVEZA, NP.SUBLEASE AS NNPRIVEZ_SUBLEASE,
K.IME AS KUPCI_IME, K.PRIIMEK AS KUPCI_PRIIMEK, NC.OPIS AS NNCARDS_OPIS
FROM BERTH_SUBLEASE BS
LEFT OUTER JOIN NNPRIVEZ NP ON NP.ID_PRIVEZ = BS.ID_PRIVEZ
LEFT OUTER JOIN KUPCI K ON K.ID = BS.ID_LASTNIKA
LEFT OUTER JOIN NNCARDS NC ON NC.ID_CARDS = BS.ID_CARDS
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (961, SYSDATE, '5.5', 881, 'Berth owner');