CREATE TABLE PAYMENT_TRANSACTION (
  ID NUMBER NOT NULL,
  ID_SALDKONT NUMBER,
  ID_PL_SALDKONT NUMBER,
  PAYMENT_NKNJIZBA VARCHAR2(3 CHAR),
  ACCOUNT_FROM VARCHAR2(150 CHAR),
  ACCOUNT_TO VARCHAR2(150 CHAR),
  AMOUNT NUMBER,
  TRANSACTION_DATE DATE,
  TRANSACTION_MESSAGE VARCHAR2(1000 CHAR),
  STATUS NUMBER,
  CONSTRAINT PAYMENT_TRAN_ID_SALDKONT_FK FOREIGN KEY (ID_SALDKONT) REFERENCES SALDKONT(ID_SALDKONT),
  CONSTRAINT PAYMENT_TRAN_ID_PL_SALDKONT_FK FOREIGN KEY (ID_PL_SALDKONT) REFERENCES SALDKONT(ID_SALDKONT),
  CONSTRAINT PAYMENT_TRAN_PK PRIMARY KEY (ID)
);

CREATE SEQUENCE PAYMENT_TRANSACTION_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

CREATE OR REPLACE VIEW V_PAYMENT_TRANSACTION AS (
SELECT PT.ID, PT.ID_SALDKONT, PT.ID_PL_SALDKONT, PT.ACCOUNT_FROM, PT.ACCOUNT_TO, PT.AMOUNT, PT.TRANSACTION_DATE, PT.TRANSACTION_MESSAGE, PT.STATUS, PT.PAYMENT_NKNJIZBA,
PKN.SLO AS PAYMENT_NKNJIZBA_OPIS, PKN.SALDKONT AS PAYMENT_NKNJIZBA_SALDKONT, SI.N_RACUNA AS SALDKONT_INVOICE_N_RACUNA, SI.ZA_PLACILO AS SALDKONT_INVOICE_ZA_PLACILO, SI.PORABLJENO AS SALDKONT_INVOICE_PORABLJENO,
SP.N_RACUNA AS SALDKONT_PAYMENT_N_RACUNA
FROM PAYMENT_TRANSACTION PT
LEFT OUTER JOIN SALDKONT SI ON SI.ID_SALDKONT = PT.ID_SALDKONT
LEFT OUTER JOIN SALDKONT SP ON SP.ID_SALDKONT = PT.ID_PL_SALDKONT
LEFT OUTER JOIN NKNJIZBA PKN ON PKN.NKNJIZBA = PT.PAYMENT_NKNJIZBA
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (997, SYSDATE, '5.5', 917, 'Payment transaction');